# WS Metrics: The Workspaces Metrics Utility

This utility is meant to simplify, and ensure the consistency of, metrics run for the 
Workspaces system.


## Usage

```shell
**********************************
* WELCOME TO WORKSPACES METRICS! *
**********************************
usage: ws_metrics [-h] [-c CAPABILITY] [-b BETWEEN BETWEEN BETWEEN] [-rd REQUESTDATASIZE] [-d DATASIZE DATASIZE]

Workspaces metrics reporter

optional arguments:
  -h, --help            show this help message and exit
  -c CAPABILITY, --capability CAPABILITY
                        report number of times a capability has executed
  -b BETWEEN BETWEEN BETWEEN, --between BETWEEN BETWEEN BETWEEN
                        report the number of times a capability has executed between two user provided timestamps.
  -rd REQUESTDATASIZE, --requestdatasize REQUESTDATASIZE
                        reports the volume of data downloaded for this request in kilobytes.
  -d DATASIZE DATASIZE, --datasize DATASIZE DATASIZE
                        reports the total volume of data downloaded via the workspaces system over a specified period of time.

```

The current metrics system is documented more throughly here:

https://open-confluence.nrao.edu/display/SSA/Workspaces+Metrics+Documentation
